Dexes

Obtain information about all DEXs on a specified blockchain.

GET/v3/dexes/{chain}
X-API-Key<token>

In: header

Path Parameters

chain*string

Chain id

Query Parameters

sort*string

Sorting type:

  • name — Alphabetically by name
  • tvl — Total value locked
  • pools — Number of pools
  • creationBlock — Creation block
  • volume24h — Trading volume in 24h
  • swaps24h — Swaps in 24h

Value in

  • "name"
  • "tvl"
  • "pools"
  • "creationBlock"
  • "volume24h"
  • "swaps24h"
order*string

Sorting order:

  • asc — Ascending
  • desc — Descending

Value in

  • "asc"
  • "desc"
page?number

Page number, starting at 0

pageSize?number

Result count per page

Response Body

application/json

curl -X GET "https://example.com/v3/dexes/ether?sort=name&order=asc"
{  "totalPages": 0,  "page": 0,  "pageSize": 0,  "results": [    {      "factory": "string",      "name": "string",      "website": "string",      "pools": 0,      "volume24h": 0,      "swaps24h": 0    }  ]}